@import "uni-form-generic.css";
/* Your styles below */
/* Keep in mind that wherever you see "Required property" it means that the property must exist, adjust it's value to your liking */

/* Generals */
.uniForm fieldset{
  border:none;
  margin:0; padding:0;
  /* user prefs */
  margin:0 0 7px 0; 
  padding:0;
  /* border-bottom:1px solid #efefef; */
}
.uniForm fieldset legend{
  font-weight:bold;
  font-size:100%;
  margin:0 0 .5em 0;
  font:bold normal 130%/100% Georgia, arial, verdana, sans-serif;
  letter-spacing:.1em;
  color:#D377B1;
}
.uniForm .ctrlHolder{ /* This is the main unit that contains our form elements */
  /*background:#f9f9f9;*/
  margin:0; padding:7px 0;
}

.uniForm .buttonHolder{
  text-align:right; /* Recommended */
}
.uniForm .focused {

}

/* Focus pseudoclasses */
.uniForm .ctrlHolder .textInput:focus{

}
.uniForm div.focused .textInput:focus{
}
.uniForm div.focused .formHint{
  color:#000;
}

/* Highlighting the rows on input focus */
.focused{

}




/* .inlineLabels */
.uniForm .inlineLabels label,
.uniForm .inlineLabels .label{
  width:30%; /* Required property */
  margin:.6em 0 0 0; padding:0;
  line-height:100%;
  font-weight:bold;
  left: 0;
}
.uniForm label em,
.uniForm .label em{
    left:90%;
}

.uniForm .inlineLabels ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.uniForm .inlineLabels ul li label {
    width: auto;
    margin: 0;
    font-weight: normal;
    left: 0;
}


.uniForm .inlineLabels .textInput,
.uniForm .inlineLabels .fileUpload{
  width:65%; /* Required property */
  /* border: 1px solid #dfdfdf; */
}
.uniForm .inlineLabels .selectInput{
  width:66%; /* Required property */
  /* border: 1px solid #dfdfdf; */
}
.uniForm .inlineLabels textarea{
  width:65%; /* Required property */
  height:12em;
  /* border: 1px solid #dfdfdf; */
}
.uniForm .inlineLabels .formHint{
  margin-top:0;
  margin-left:47%;
  color:#999;
  margin:.5em 0 0 30%; padding:3px 0;
  font-size:80%;
}

/* .blockLabels */
.uniForm .blockLabels .textInput,
.uniForm .blockLabels .fileUpload{
  width:53%; /* Required property */
}

.uniForm .blockLabels .selectInput{
  display:block;
  width:53.5%; /* Required property */
}
.uniForm .blockLabels textarea{
  width:53%; /* Required property */
  height:12em;
}
.uniForm .blockLabels .formHint{
  width:45%; /* Required property */
}

/* Columns */
.uniForm .col{
  width:47.9%; /* Required property */
  margin:0 2% 0 0;
}
.uniForm .columnLeft{
  width:49%; /* Required property */
}
.uniForm .columnRight{
  width:49%; /* Required property */
}

/* Messages */
.uniForm #errorMsg{
  background:#ffdfdf;
  border:1px solid #df7d7d; border-width:1px 0;
  margin:5pt 0 1em 0; padding:1em;
}
.uniForm .error{
  background:#ffdfdf;
  border:1px solid #df7d7d; border-width:1px 0;
}
  .uniForm #errorMsg dt,
  .uniForm #errorMsg h3 {
    color: #AF4C4C;
    text-shadow: none;
    margin:0 0 .5em 0;
    font-size:110%;
    line-height:100%;
    font-weight:bold;
    background:url(/media/images/icon-error.png) 0 0 no-repeat;
    padding:2px 0pt 2px 21px;
  }
  .uniForm #errorMsg dd{
    margin:0; padding:0;
  }
    .uniForm #errorMsg ol{
      margin:0; padding:0;
    }
      .uniForm #errorMsg ol li{
        margin:0; padding:2px;
        list-style-position:inside;
        position:relative;
      }
      .uniForm #errorMsg ol li a{
        color: #AF4C4C;
      }
    .uniForm .errorField{
      color:#af4c4c;
      margin:0 0 3px 0; padding:4px 0px;
    }
    .uniForm .inlineLabels .errorField{
      margin-left:30%;
    }
    .uniForm .ctrlHolder.error input,
    .uniForm .ctrlHolder.error input:focus{
      border-color:#DF7D7D;
    }
    .uniForm .ctrlHolder.error.focused{
      padding:7px 0;
    }

.uniForm .warning{
  background:#FFFF99;
  border:1px solid #CC9900; border-width:1px 0;
}

/* Dynamic Form */

.uniForm .dynamic-form fieldset{width: 92%;}

.uniForm .dynamic-form .inlineLabels .textInput, 
.uniForm .dynamic-form .inlineLabels .fileUpload {
    width: 64%;
}

.uniForm .dynamic-form .inlineLabels label,
.uniForm .dynamic-form .inlineLabels .label {
	width: 33%;
}

.uniForm .dynamic-form a.delete-row,
.uniForm .dynamic-form a.application-address-info{
	width: 3%;
	position: absolute;
	margin-top: -28px;
	margin-left: 92%;
	z-index: 1;
}

.uniForm .dynamic-form a.application-address-info{
	margin-left: 95%;
	z-index: 2;
}

div.uniForm:first-child a.delete-row,
.uniForm .dynamic-form .dynamic-form label {
	display: none;
}

.uniForm .dynamic-form .ctrlHolder {
	padding: 0px;
}

.uniForm .dynamic-form .ctrlHolder label{
	display: none;
}

.uniForm .dynamic-form .ctrlHolder .textInput,
.uniForm .dynamic-form .ctrlHolder .fileUpload,
.uniForm .inlineLabels .errorField{
	margin-left: 33%;
}

.uniForm .dynamic-form .dynamic-form .inlineLabels .textInput, 
.uniForm .dynamic-form .dynamic-form .inlineLabels .fileUpload {
    width: 64%;
	margin-left: 33%;
}

.uniForm .formset-add-button {
	margin-left: 30%;
}